#pragma once
#include <string>
#include <vector>
#include <map>

namespace runner {

struct sSSHInfo {
    std::string host;
    std::string user;
    std::string port;
};

int execute_cmd(
    const std::string& command,
    const std::vector<std::string>& args,
    const std::string& working_dir,
    const std::map<std::string, std::string>& env,
    bool silent,
    bool interactive,
    sSSHInfo* sshinfo = nullptr,
    std::string* output = nullptr
); 

} // namespace runner